editable_pin_field 0.1.0

  • Readme
  • Changelog
  • Example
  • Installing
  • 62

editable_pin_field #

An editable pin code text field for Flutter. Use this plugin for creating custom OTP value forms.

Supports

  • Focus change to next field on number enter
  • Focus change to previous on backspace
  • Enter only 1 digit value per field

Getting Started #

See the project example for getting started with this plugin.

Notes #

As shown on the example, you should limit maxLines and maxLength value to 1 & 2 respectively.

PinCodeTextField(
	maxLines: 1,
	maxLength: 2,
	...

[0.1.0] - 7th August, 2019

  • Working version of Pin Code Textfield Editor

example/README.md

example #

A new Flutter project.

Getting Started #

This project is a starting point for a Flutter application.

A few resources to get you started if this is your first Flutter project:

For help getting started with Flutter, view our online documentation, which offers tutorials, samples, guidance on mobile development, and a full API reference.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  editable_pin_field: ^0.1.0

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:editable_pin_field/editable_pin_field.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
64
Health:
Code health derived from static analysis. [more]
32
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
62
Learn more about scoring.

We analyzed this package on Jan 21, 2020, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.7.0
  • pana: 0.13.4
  • Flutter: 1.12.13+hotfix.5

Health issues and suggestions

Fix lib/widget/pin_code_editable_text.dart. (-68 points)

Analysis of lib/widget/pin_code_editable_text.dart failed with 3 errors, 5 warnings, 4 hints, including:

line 698 col 7: Missing concrete implementation of 'TextInputClient.connectionClosed'.

line 1144 col 9: The named parameter 'layerLink' isn't defined.

line 1205 col 11: Undefined name 'kMinInteractiveSize'.

line 1140 col 27: The parameter 'endHandleLayerLink' is required. .

line 1140 col 27: The parameter 'startHandleLayerLink' is required. .

Fix lib/material/pin_code_text_field.dart. (-1 points)

Analysis of lib/material/pin_code_text_field.dart reported 2 hints:

line 1035 col 9: 'onPointerEnter' is deprecated and shouldn't be used. Use MouseRegion.onEnter instead. See MouseRegion.opaque for behavioral difference. This feature was deprecated after v1.10.14..

line 1036 col 9: 'onPointerExit' is deprecated and shouldn't be used. Use MouseRegion.onExit instead. See MouseRegion.opaque for behavioral difference. This feature was deprecated after v1.10.14..

Format lib/editable_pin_field.dart.

Run flutter format to format lib/editable_pin_field.dart.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11 1.14.12
meta 1.1.8
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test